AgentConnect
Organization knowledge

Archive or restore a managed Agent Skills bundle

Archives or restores a managed skill and reconciles agents that enable it.

POST
/v1/orgs/{orgId}/managed-skills/{id}/archive

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/managed-skills/string/archive" \  -H "Content-Type: application/json" \  -d '{    "archived": true  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "currentRevision": 1,  "digest": "string",  "compressedBytes": 0,  "expandedBytes": 0,  "fileCount": 0,  "manifest": {    "property1": null,    "property2": null  },  "archivedAt": "string",  "createdAt": "string",  "updatedAt": "string",  "canManage": true}